Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageHSVToRGB Class Reference

`#include <vtkImageHSVToRGB.h>`

Inheritance diagram for vtkImageHSVToRGB:

[legend]
Collaboration diagram for vtkImageHSVToRGB:

[legend]
List of all members.

## Detailed Description

Converts HSV components to RGB.

Date:
  2002/01/22 15:32:42

Revision:
  1.21

For each pixel with hue, saturation and value components this filter outputs the color coded as red, green, blue. Output type must be the same as input type.

See also:
  vtkImageRGBToHSV

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Martin, Ken (46%)
  - Law, Charles (40%)

CVS logs (CVSweb):
  - .`h` (`/Imaging/vtkImageHSVToRGB.h)`
  - .`cxx` (`/Imaging/vtkImageHSVToRGB.cxx)`

Tests:
  vtkImageHSVToRGB (Tests)

Definition at line 50 of file vtkImageHSVToRGB.h.

## Public Types
typedef vtkImageToImageFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetMaximum (float)
virtual float | GetMaximum ()
## Static Public Methods
vtkImageHSVToRGB * | New ()
int | IsTypeOf (const char *type)
vtkImageHSVToRGB * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImageHSVToRGB ()
| ~vtkImageHSVToRGB ()
void | ThreadedExecute (vtkImageData *inData, vtkImageData *outData, int ext[6], int id)
## Protected Attributes
float | Maximum

## Member Typedef Documentation

typedef vtkImageToImageFilter vtkImageHSVToRGB::Superclass

| Reimplemented from vtkImageToImageFilter. Definition at line 54 of file vtkImageHSVToRGB.h.

## Constructor & Destructor Documentation

vtkImageHSVToRGB::vtkImageHSVToRGB | ( |  | ) | `[protected]`

vtkImageHSVToRGB::~vtkImageHSVToRGB | ( |  | ) | `[inline, protected]`

| Definition at line 69 of file vtkImageHSVToRGB.h.

## Member Function Documentation

vtkImageHSVToRGB* vtkImageHSVToRGB::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkImageHSVToRGB::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageToImageFilter.

int vtkImageHSVToRGB::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

virtual int vtkImageHSVToRGB::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageToImageFilter.

vtkImageHSVToRGB* vtkImageHSVToRGB::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageToImageFilter.

void vtkImageHSVToRGB::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageToImageFilter.

virtual void vtkImageHSVToRGB::SetMaximum | ( | float |  | ) | `[virtual]`

| Hue is an angle. Maximum specifies when it maps back to 0. HueMaximum defaults to 255 instead of 2PI, because unsigned char is expected as input. Maximum also specifies the maximum of the Saturation, and R, G, B.

virtual float vtkImageHSVToRGB::GetMaximum | ( |  | ) | `[virtual]`

| Hue is an angle. Maximum specifies when it maps back to 0. HueMaximum defaults to 255 instead of 2PI, because unsigned char is expected as input. Maximum also specifies the maximum of the Saturation, and R, G, B.

void vtkImageHSVToRGB::ThreadedExecute | ( | vtkImageData * | inData,
|  | vtkImageData * | outData,
|  | int | ext[6],
|  | int | id
| ) | `[protected, virtual]`

| If the subclass does not define an Execute method, then the task will be broken up, multiple threads will be spawned, and each thread will call this method. It is public so that the thread functions can call this method. Reimplemented from vtkImageToImageFilter.

## Member Data Documentation

float vtkImageHSVToRGB::Maximum`[protected]`

| Definition at line 71 of file vtkImageHSVToRGB.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImageHSVToRGB.h